Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.components.net
Interface SocketFactory

All Known Subinterfaces:
  SecureSocketFactory

All Known Implementing Classes:
  DefaultSocketFactory, IBMJSSESocketFactory, JSSESocketFactory, SunJSSESocketFactory

public interface SocketFactory

Socket factory.

Author:
  Davanum Srinivas (dims@yahoo.com)

Method Summary
`java.net.Socket` | `create(java.lang.String host, int port, java.lang.StringBuffer otherHeaders, BooleanHolder useFullURL)` Create a socket

Method Detail

### create

    public java.net.Socket create(java.lang.String host,
                                  int port,
                                  java.lang.StringBuffer otherHeaders,
                                  BooleanHolder useFullURL)
                           throws java.lang.Exception

  Create a socket

  Parameters:
    `host` -
    `port` -
    `otherHeaders` -
    `useFullURL` -
  Returns:
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.